<?php

namespace AutoAdmin\Bundle\Admin\Form\TypeGuesser\Guesser;

use AutoAdmin\Bundle\Admin\Form\TypeGuesser\AbstractAdminTypeGuesser;
use Doctrine\DBAL\Types\Types;
use Symfony\Component\Form\Extension\Core\Type\TextType;

class UrlGuesser extends AbstractAdminTypeGuesser
{
    public function getFormType(): string
    {
        return TextType::class;
    }

    public function getDefaultFormTypeOptions(): array
    {
        return [];
    }

    public function getMatchingConfigStrings(): array
    {
        return [
            'url',
        ];
    }

    public function getMatchingAttributes(): array
    {
        return [
            Types::STRING,
        ];
    }

    public function getMatchingPropertyTypes(): array
    {
        return [
            'string',
        ];
    }

    public function priority(): int
    {
        return 30;
    }
}
